// PDF Library DLL Edition
// Copyright© 2007-2017 losLab.com

// PDFlibDLL.h
// C++ import header
// http://www.loslab.com/

#include "Windows.h"
#include <string>

typedef char* (__stdcall*PDFlibFuncType1)(int);
typedef char* (__stdcall*PDFlibFuncType2)(int, char*);
typedef char* (__stdcall*PDFlibFuncType3)(int, char*, char*, int);
typedef char* (__stdcall*PDFlibFuncType4)(int, char*, char*, int, int);
typedef char* (__stdcall*PDFlibFuncType5)(int, char*, int);
typedef char* (__stdcall*PDFlibFuncType6)(int, double, char*, char*);
typedef char* (__stdcall*PDFlibFuncType7)(int, double, double, double,
	double, char*);
typedef char* (__stdcall*PDFlibFuncType8)(int, int);
typedef char* (__stdcall*PDFlibFuncType9)(int, int, char*);
typedef char* (__stdcall*PDFlibFuncType10)(int, int, int);
typedef char* (__stdcall*PDFlibFuncType11)(int, int, int, int);
typedef char* (__stdcall*PDFlibFuncType12)(int, int, int, int, int);
typedef double(__stdcall*PDFlibFuncType13)(int);
typedef double(__stdcall*PDFlibFuncType14)(int, char*);
typedef double(__stdcall*PDFlibFuncType15)(int, double, char*);
typedef double(__stdcall*PDFlibFuncType16)(int, double, char*, int);
typedef double(__stdcall*PDFlibFuncType17)(int, int);
typedef double(__stdcall*PDFlibFuncType18)(int, int, double, double, double,
	int, int);
typedef double(__stdcall*PDFlibFuncType19)(int, int, int);
typedef double(__stdcall*PDFlibFuncType20)(int, int, int, int, int);
typedef int(__stdcall*PDFlibFuncType21)();
typedef int(__stdcall*PDFlibFuncType22)(int);
typedef int(__stdcall*PDFlibFuncType23)(int, char*);
typedef int(__stdcall*PDFlibFuncType24)(int, char*, char*);
typedef int(__stdcall*PDFlibFuncType25)(int, char*, char*, char*);
typedef int(__stdcall*PDFlibFuncType26)(int, char*, char*, char*, char*, char*,
	char*, char*, char*, char*);
typedef int(__stdcall*PDFlibFuncType27)(int, char*, char*, char*, char*,
	int, int);
typedef int(__stdcall*PDFlibFuncType28)(int, char*, char*, int);
typedef int(__stdcall*PDFlibFuncType29)(int, char*, char*, int, int);
typedef int(__stdcall*PDFlibFuncType30)(int, char*, double);
typedef int(__stdcall*PDFlibFuncType31)(int, char*, double, double, double);
typedef int(__stdcall*PDFlibFuncType32)(int, char*, double, double, double,
	double, double, double, double, double, double, double, int);
typedef int(__stdcall*PDFlibFuncType33)(int, char*, double, double, double,
	double, int);
typedef int(__stdcall*PDFlibFuncType34)(int, char*, int);
typedef int(__stdcall*PDFlibFuncType35)(int, char*, int, char*);
typedef int(__stdcall*PDFlibFuncType36)(int, char*, int, int);
typedef int(__stdcall*PDFlibFuncType37)(int, char*, int, int, int);
typedef int(__stdcall*PDFlibFuncType38)(int, double);
typedef int(__stdcall*PDFlibFuncType39)(int, double, char*);
typedef int(__stdcall*PDFlibFuncType40)(int, double, double);
typedef int(__stdcall*PDFlibFuncType41)(int, double, double, char*);
typedef int(__stdcall*PDFlibFuncType42)(int, double, double, char*, char*);
typedef int(__stdcall*PDFlibFuncType43)(int, double, double, double);
typedef int(__stdcall*PDFlibFuncType44)(int, double, double, double, char*);
typedef int(__stdcall*PDFlibFuncType45)(int, double, double, double, char*, int,
	int, int);
typedef int(__stdcall*PDFlibFuncType46)(int, double, double, double, double);
typedef int(__stdcall*PDFlibFuncType47)(int, double, double, double, double,
	char*, int);
typedef int(__stdcall*PDFlibFuncType48)(int, double, double, double, double,
	char*, int, double, int, int);
typedef int(__stdcall*PDFlibFuncType49)(int, double, double, double, double,
	char*, int, int);
typedef int(__stdcall*PDFlibFuncType50)(int, double, double, double, double,
	double);
typedef int(__stdcall*PDFlibFuncType51)(int, double, double, double, double,
	double, char*, int);
typedef int(__stdcall*PDFlibFuncType52)(int, double, double, double, double,
	double, double);
typedef int(__stdcall*PDFlibFuncType53)(int, double, double, double, double,
	double, double, double, double);
typedef int(__stdcall*PDFlibFuncType54)(int, double, double, double, double,
	double, double, int, int);
typedef int(__stdcall*PDFlibFuncType55)(int, double, double, double, double,
	double, int);
typedef int(__stdcall*PDFlibFuncType56)(int, double, double, double, double,
	double, int, int);
typedef int(__stdcall*PDFlibFuncType57)(int, double, double, double,
	double, int);
typedef int(__stdcall*PDFlibFuncType58)(int, double, double, double, double,
	int, char*, int);
typedef int(__stdcall*PDFlibFuncType59)(int, double, double, double, double,
	int, double, int);
typedef int(__stdcall*PDFlibFuncType60)(int, double, double, double, double,
	int, int, int);
typedef int(__stdcall*PDFlibFuncType61)(int, double, double, double, int);
typedef int(__stdcall*PDFlibFuncType62)(int, double, double, int, double,
	double, double, double, char*, char*, double, double, double, int);
typedef int(__stdcall*PDFlibFuncType63)(int, double, int);
typedef int(__stdcall*PDFlibFuncType64)(int, int);
typedef int(__stdcall*PDFlibFuncType65)(int, int, char*);
typedef int(__stdcall*PDFlibFuncType66)(int, int, char*, char*);
typedef int(__stdcall*PDFlibFuncType67)(int, int, char*, double);
typedef int(__stdcall*PDFlibFuncType68)(int, int, char*, int, double);
typedef int(__stdcall*PDFlibFuncType69)(int, int, double);
typedef int(__stdcall*PDFlibFuncType70)(int, int, double, double, double);
typedef int(__stdcall*PDFlibFuncType71)(int, int, double, double, double,
	double);
typedef int(__stdcall*PDFlibFuncType72)(int, int, double, double, double,
	double, double);
typedef int(__stdcall*PDFlibFuncType73)(int, int, double, int, double, double);
typedef int(__stdcall*PDFlibFuncType74)(int, int, int);
typedef int(__stdcall*PDFlibFuncType75)(int, int, int, char*);
typedef int(__stdcall*PDFlibFuncType76)(int, int, int, double);
typedef int(__stdcall*PDFlibFuncType77)(int, int, int, double, double);
typedef int(__stdcall*PDFlibFuncType78)(int, int, int, double, double, double);
typedef int(__stdcall*PDFlibFuncType79)(int, int, int, double, double, double,
	double);
typedef int(__stdcall*PDFlibFuncType80)(int, int, int, double, int);
typedef int(__stdcall*PDFlibFuncType81)(int, int, int, int);
typedef int(__stdcall*PDFlibFuncType82)(int, int, int, int, char*);
typedef int(__stdcall*PDFlibFuncType83)(int, int, int, int, double);
typedef int(__stdcall*PDFlibFuncType84)(int, int, int, int, double, double,
	double, double);
typedef int(__stdcall*PDFlibFuncType85)(int, int, int, int, int);
typedef int(__stdcall*PDFlibFuncType86)(int, int, int, int, int, char*);
typedef int(__stdcall*PDFlibFuncType87)(int, int, int, int, int, double, double,
	double, double);
typedef int(__stdcall*PDFlibFuncType88)(int, int, int, int, int, int);
typedef int(__stdcall*PDFlibFuncType89)(int, int, int, int, int, int, double);
typedef int(__stdcall*PDFlibFuncType90)(int, int, int, int, int, int, double,
	double, double);
typedef int(__stdcall*PDFlibFuncType91)(int, int, int, int, int, int, double,
	double, double, double);
typedef int(__stdcall*PDFlibFuncType92)(int, int, int, int, int, int, int);
typedef int(__stdcall*PDFlibFuncType93)(int, int, int, int, int, int, int,
	double);
typedef int(__stdcall*PDFlibFuncType94)(int, int, int, int, int, int, int,
	double, double, double);
typedef int(__stdcall*PDFlibFuncType95)(int, int, int, int, int, int, int,
	double, double, double, double);
typedef int(__stdcall*PDFlibFuncType96)(int, int, int, int, int, int, int,
	int, int);

class PDFlibDLL {
public:
	PDFlibDLL(const std::string& dllFileName);
	~PDFlibDLL();
	bool LibraryLoaded();
	int AddArcToPath(double CenterX, double CenterY, double TotalAngle);
	int AddCJKFont(int CJKFontID);
	int AddCurveToPath(double CtAX, double CtAY, double CtBX, double CtBY,
		double EndX, double EndY);
	int AddEmbeddedFile(const std::string& FileName,
		const std::string& MIMEType);
	int AddFileAttachment(const std::string& Title, int EmbeddedFileID);
	int AddFormFieldSub(int Index, const std::string& SubName);
	int AddFormFont(int FontID);
	int AddGlobalJavaScript(const std::string& PackageName,
		const std::string& JavaScript);
	int AddImageFromFile(const std::string& FileName, int Options);
	int AddImageFromFileOffset(const std::string& FileName, int Offset,
		int DataLength, int Options);
	int AddImageFromString(const std::string& Source, int Options);
	int AddLGIDictToPage(const std::string& DictContent);
	int AddLineToPath(double EndX, double EndY);
	int AddLinkToEmbeddedFile(double Left, double Top, double Width,
		double Height, int EmbeddedFileID, const std::string& Title,
		int Options);
	int AddLinkToFile(double Left, double Top, double Width, double Height,
		const std::string& FileName, int Page, double Position, int NewWindow,
		int Options);
	int AddLinkToJavaScript(double Left, double Top, double Width,
		double Height, const std::string& JavaScript, int Options);
	int AddLinkToPage(double Left, double Top, double Width, double Height,
		int Page, double Position, int Options);
	int AddLinkToWeb(double Left, double Top, double Width, double Height,
		const std::string& Link, int Options);
	int AddNoteAnnotation(double Left, double Top, int AnnotType,
		double PopupLeft, double PopupTop, double PopupWidth,
		double PopupHeight, const std::string& Title,
		const std::string& Contents, double Red, double Green, double Blue,
		int Open);
	int AddPageLabels(int Start, int Style, int Offset,
		const std::string& Prefix);
	int AddSVGAnnotationFromFile(double Left, double Top, double Width,
		double Height, const std::string& FileName, int Options);
	int AddSeparationColor(const std::string& ColorName, double C, double M,
		double Y, double K, int Options);
	int AddStandardFont(int StandardFontID);
	int AddSubsettedFont(const std::string& FontName, int CharSet,
		const std::string& SubsetChars);
	int AddToFileList(const std::string& ListName, const std::string& FileName);
	int AddTrueTypeFont(const std::string& FontName, int Embed);
	int AddTrueTypeFontFromFile(const std::string& FileName);
	int AddType1Font(const std::string& FileName);
	int AddU3DAnnotationFromFile(double Left, double Top, double Width,
		double Height, const std::string& FileName, int Options);
	int AnalyseFile(const std::string& InputFileName,
		const std::string& Password);
	int AnnotationCount();
	int AppendSpace(double RelativeSpace);
	int AppendTableColumns(int TableID, int NewColumnCount);
	int AppendTableRows(int TableID, int NewRowCount);
	int AppendText(const std::string& Text);
	int ApplyStyle(const std::string& StyleName);
	int BeginPageUpdate();
	int CapturePage(int Page);
	int CapturePageEx(int Page, int Options);
	int CharWidth(int CharCode);
	int CheckObjects();
	int CheckPageAnnots();
	int ClearFileList(const std::string& ListName);
	int ClearPageLabels();
	int ClearTextFormatting();
	int CloneOutlineAction(int OutlineID);
	int ClonePages(int StartPage, int EndPage, int RepeatCount);
	int CloseOutline(int OutlineID);
	int ClosePath();
	int CombineLayers();
	int CompressContent();
	int CompressFonts(int Compress);
	int CompressImages(int Compress);
	int CompressPage();
	int CopyPageRanges(int DocumentID, const std::string& RangeList);
	int CreateTable(int RowCount, int ColumnCount);
	int DAAppendFile(int FileHandle);
	int DACapturePage(int FileHandle, int PageRef);
	int DACapturePageEx(int FileHandle, int PageRef, int Options);
	int DACloseFile(int FileHandle);
	int DADrawCapturedPage(int FileHandle, int DACaptureID, int DestPageRef,
		double PntLeft, double PntBottom, double PntWidth, double PntHeight);
	std::string DAExtractPageText(int FileHandle, int PageRef, int Options);
	int DAFindPage(int FileHandle, int Page);
	int DAGetFormFieldCount(int FileHandle);
	std::string DAGetFormFieldTitle(int FileHandle, int FieldIndex);
	std::string DAGetFormFieldValue(int FileHandle, int FieldIndex);
	std::string DAGetImageDataToString(int FileHandle, int ImageListID,
		int ImageIndex);
	double DAGetImageDblProperty(int FileHandle, int ImageListID,
		int ImageIndex, int PropertyID);
	int DAGetImageIntProperty(int FileHandle, int ImageListID, int ImageIndex,
		int PropertyID);
	int DAGetImageListCount(int FileHandle, int ImageListID);
	std::string DAGetInformation(int FileHandle, const std::string& Key);
	int DAGetObjectCount(int FileHandle);
	std::string DAGetObjectSource(int FileHandle, int ObjectNumber);
	std::string DAGetPageContent(int FileHandle, int PageRef);
	int DAGetPageCount(int FileHandle);
	double DAGetPageHeight(int FileHandle, int PageRef);
	int DAGetPageImageList(int FileHandle, int PageRef);
	double DAGetPageWidth(int FileHandle, int PageRef);
	int DAHidePage(int FileHandle, int PageRef);
	int DAMovePage(int FileHandle, int PageRef, int TargetPageRef, int Options);
	int DANewPage(int FileHandle);
	int DANewPages(int FileHandle, int PageCount);
	int DAOpenFile(const std::string& InputFileName,
		const std::string& Password);
	int DAOpenFileReadOnly(const std::string& InputFileName,
		const std::string& Password);
	int DAPageRotation(int FileHandle, int PageRef);
	int DARenderPageToDC(int FileHandle, int PageRef, int DPI, int DC);
	int DARenderPageToFile(int FileHandle, int PageRef, int Options, int DPI,
		const std::string& FileName);
	std::string DARenderPageToString(int FileHandle, int PageRef, int Options,
		int DPI);
	int DARotatePage(int FileHandle, int PageRef, int Angle, int Options);
	int DASaveAsFile(int FileHandle, const std::string& OutputFileName);
	int DASaveImageDataToFile(int FileHandle, int ImageListID, int ImageIndex,
		const std::string& ImageFileName);
	int DASetInformation(int FileHandle, const std::string& Key,
		const std::string& NewValue);
	int DASetPageSize(int FileHandle, int PageRef, double PntWidth,
		double PntHeight);
	int Decrypt();
	int DecryptFile(const std::string& InputFileName,
		const std::string& OutputFileName, const std::string& Password);
	int DeleteAnalysis(int AnalysisID);
	int DeleteAnnotation(int Index);
	int DeleteFormField(int Index);
	int DeleteLayer();
	int DeleteOptionalContentGroup(int OptionalContentGroupID);
	int DeletePageLGIDict(int DictIndex);
	int DeletePages(int StartPage, int PageCount);
	int DocJavaScriptAction(const std::string& ActionType,
		const std::string& JavaScript);
	int DocumentCount();
	int DrawArc(double XPos, double YPos, double Radius, double StartAngle,
		double EndAngle, int Pie, int DrawOptions);
	int DrawBarcode(double Left, double Top, double Width, double Height,
		const std::string& Text, int Barcode, int Options);
	int DrawBox(double Left, double Top, double Width, double Height,
		int DrawOptions);
	int DrawCapturedPage(int CaptureID, double Left, double Top, double Width,
		double Height);
	int DrawCircle(double XPos, double YPos, double Radius, int DrawOptions);
	int DrawDataMatrixSymbol(double Left, double Top, double ModuleSize,
		const std::string& Text, int Encoding, int SymbolSize, int Options);
	int DrawEllipse(double XPos, double YPos, double Width, double Height,
		int DrawOptions);
	int DrawEllipticArc(double XPos, double YPos, double Width, double Height,
		double StartAngle, double EndAngle, int Pie, int DrawOptions);
	int DrawHTMLText(double Left, double Top, double Width,
		const std::string& HTMLText);
	std::string DrawHTMLTextBox(double Left, double Top, double Width,
		double Height, const std::string& HTMLText);
	int DrawImage(double Left, double Top, double Width, double Height);
	int DrawLine(double StartX, double StartY, double EndX, double EndY);
	int DrawMultiLineText(double XPos, double YPos,
		const std::string& Delimiter, const std::string& Text);
	int DrawPath(int PathOptions);
	int DrawPathEvenOdd(int PathOptions);
	int DrawPostScriptXObject(int PSRef);
	int DrawRotatedCapturedPage(int CaptureID, double Left, double Bottom,
		double Width, double Height, double Angle);
	int DrawRotatedImage(double Left, double Bottom, double Width,
		double Height, double Angle);
	int DrawRotatedText(double XPos, double YPos, double Angle,
		const std::string& Text);
	int DrawRotatedTextBox(double Left, double Top, double Width, double Height,
		double Angle, const std::string& Text, int Options);
	int DrawRoundedBox(double Left, double Top, double Width, double Height,
		double Radius, int DrawOptions);
	int DrawScaledImage(double Left, double Top, double Scale);
	int DrawSpacedText(double XPos, double YPos, double Spacing,
		const std::string& Text);
	double DrawTableRows(int TableID, double Left, double Top, double Height,
		int FirstRow, int LastRow);
	int DrawText(double XPos, double YPos, const std::string& Text);
	int DrawTextArc(double XPos, double YPos, double Radius, double Angle,
		const std::string& Text, int DrawOptions);
	int DrawTextBox(double Left, double Top, double Width, double Height,
		const std::string& Text, int Options);
	int DrawWrappedText(double XPos, double YPos, double Width,
		const std::string& Text);
	int EditableLayer();
	int EmbedFile(const std::string& Title, const std::string& FileName,
		const std::string& MIMEType);
	int EmbeddedFileCount();
	int EncapsulateLayer();
	int EncodePermissions(int CanPrint, int CanCopy, int CanChange,
		int CanAddNotes, int CanFillFields, int CanCopyAccess, int CanAssemble,
		int CanPrintFull);
	int Encrypt(const std::string& Owner, const std::string& User, int Strength,
		int Permissions);
	int EncryptFile(const std::string& InputFileName,
		const std::string& OutputFileName, const std::string& Owner,
		const std::string& User, int Strength, int Permissions);
	int EncryptWithFingerprint(const std::string& Fingerprint);
	int EncryptionAlgorithm();
	int EncryptionStatus();
	int EncryptionStrength();
	int EndPageUpdate();
	std::string ExtractFilePageContent(const std::string& InputFileName,
		const std::string& Password, int Page);
	std::string ExtractFilePageText(const std::string& InputFileName,
		const std::string& Password, int Page, int Options);
	int ExtractFilePages(const std::string& InputFileName,
		const std::string& OutputFileName, const std::string& RangeList);
	int ExtractPageRanges(const std::string& RangeList);
	int ExtractPages(int StartPage, int PageCount);
	int FileListCount(const std::string& ListName);
	std::string FileListItem(const std::string& ListName, int Index);
	int FindFonts();
	int FindFormFieldByTitle(const std::string& Title);
	int FindImages();
	int FitImage(double Left, double Top, double Width, double Height,
		int HAlign, int VAlign, int Rotate);
	int FitRotatedTextBox(double Left, double Top, double Width, double Height,
		double Angle, const std::string& Text, int Options);
	int FitTextBox(double Left, double Top, double Width, double Height,
		const std::string& Text, int Options);
	int FlattenFormField(int Index);
	int FontCount();
	std::string FontFamily();
	int FontHasKerning();
	std::string FontName();
	std::string FontReference();
	int FontSize();
	int FontType();
	int FormFieldCount();
	int FormFieldHasParent(int Index);
	int FormFieldJavaScriptAction(int Index, const std::string& ActionType,
		const std::string& JavaScript);
	int FormFieldWebLinkAction(int Index, const std::string& ActionType,
		const std::string& Link);
	std::string GetActionType(int ActionID);
	std::string GetAnalysisInfo(int AnalysisID, int AnalysisItem);
	int GetAnnotActionID(int Index);
	double GetAnnotDblProperty(int Index, int Tag);
	int GetAnnotIntProperty(int Index, int Tag);
	std::string GetAnnotStrProperty(int Index, int Tag);
	double GetBarcodeWidth(double NominalWidth, const std::string& Text,
		int Barcode);
	int GetCanvasDC(int Width, int Height);
	std::string GetCatalogInformation(const std::string& Key);
	std::string GetCustomInformation(const std::string& Key);
	std::string GetCustomKeys(int Location);
	std::string GetDefaultPrinterName();
	int GetDestPage(int DestID);
	int GetDestType(int DestID);
	double GetDestValue(int DestID, int ValueKey);
	std::string GetDocJavaScript(const std::string& ActionType);
	int GetDocumentID(int Index);
	std::string GetDocumentIdentifier(int Part, int Options);
	std::string GetDocumentMetadata();
	std::string GetDocumentResourceList();
	int GetEmbeddedFileContentToFile(int Index, const std::string& FileName);
	std::string GetEmbeddedFileContentToString(int Index);
	int GetEmbeddedFileIntProperty(int Index, int Tag);
	std::string GetEmbeddedFileStrProperty(int Index, int Tag);
	std::string GetEncryptionFingerprint();
	std::string GetFileMetadata(const std::string& InputFileName);
	int GetFirstChildOutline(int OutlineID);
	int GetFirstOutline();
	int GetFontID(int Index);
	int GetFontObjectNumber();
	int GetFormFieldAlignment(int Index);
	int GetFormFieldAnnotFlags(int Index);
	double GetFormFieldBackgroundColor(int Index, int ColorComponent);
	double GetFormFieldBorderColor(int Index, int ColorComponent);
	double GetFormFieldBorderProperty(int Index, int PropKey);
	int GetFormFieldBorderStyle(int Index);
	double GetFormFieldBound(int Index, int Edge);
	std::string GetFormFieldCaption(int Index);
	std::string GetFormFieldChildTitle(int Index);
	int GetFormFieldChoiceType(int Index);
	double GetFormFieldColor(int Index, int ColorComponent);
	int GetFormFieldComb(int Index);
	std::string GetFormFieldDefaultValue(int Index);
	std::string GetFormFieldDescription(int Index);
	int GetFormFieldFlags(int Index);
	std::string GetFormFieldFontName(int Index);
	std::string GetFormFieldJavaScript(int Index,
		const std::string& ActionType);
	int GetFormFieldKidCount(int Index);
	int GetFormFieldMaxLen(int Index);
	int GetFormFieldPage(int Index);
	int GetFormFieldPrintable(int Index);
	int GetFormFieldReadOnly(int Index);
	int GetFormFieldRotation(int Index);
	int GetFormFieldSubCount(int Index);
	std::string GetFormFieldSubName(int Index, int SubIndex);
	int GetFormFieldSubTempIndex(int Index, int SubIndex);
	int GetFormFieldTabOrder(int Index);
	int GetFormFieldTextFlags(int Index, int ValueKey);
	double GetFormFieldTextSize(int Index);
	std::string GetFormFieldTitle(int Index);
	int GetFormFieldType(int Index);
	std::string GetFormFieldValue(int Index);
	std::string GetFormFieldValueByTitle(const std::string& Title);
	int GetFormFieldVisible(int Index);
	std::string GetFormFieldWebLink(int Index, const std::string& ActionType);
	int GetFormFontCount();
	std::string GetFormFontName(int FontIndex);
	std::string GetGlobalJavaScript(const std::string& PackageName);
	double GetHTMLTextHeight(double Width, const std::string& HTMLText);
	int GetHTMLTextLineCount(double Width, const std::string& HTMLText);
	double GetHTMLTextWidth(double MaxWidth, const std::string& HTMLText);
	int GetImageID(int Index);
	int GetImagePageCount(const std::string& FileName);
	std::string GetInformation(int Key);
	int GetKerning(const std::string& CharPair);
	int GetNamedDestination(const std::string& DestName);
	int GetNextOutline(int OutlineID);
	int GetObjectCount();
	std::string GetObjectSource(int ObjectNumber);
	int GetOpenActionDestination();
	std::string GetOpenActionJavaScript();
	int GetOptionalContentGroupID(int Index);
	std::string GetOptionalContentGroupName(int OptionalContentGroupID);
	int GetOrigin();
	int GetOutlineActionID(int OutlineID);
	double GetOutlineColor(int OutlineID, int ColorComponent);
	int GetOutlineDest(int OutlineID);
	int GetOutlineID(int Index);
	std::string GetOutlineJavaScript(int OutlineID);
	std::string GetOutlineOpenFile(int OutlineID);
	int GetOutlinePage(int OutlineID);
	int GetOutlineStyle(int OutlineID);
	std::string GetOutlineWebLink(int OutlineID);
	double GetPageBox(int BoxType, int Dimension);
	std::string GetPageContent();
	std::string GetPageJavaScript(const std::string& ActionType);
	std::string GetPageLGIDictContent(int DictIndex);
	int GetPageLGIDictCount();
	std::string GetPageLabel(int Page);
	int GetPageLayout();
	int GetPageMode();
	std::string GetPageText(int ExtractOptions);
	int GetParentOutline(int OutlineID);
	int GetPrevOutline(int OutlineID);
	std::string GetPrinterBins(const std::string& PrinterName);
	std::string GetPrinterNames();
	std::string GetSubsetString(const std::string& InputStr);
	double GetTableCellDblProperty(int TableID, int RowNumber, int ColumnNumber,
		int Tag);
	int GetTableCellIntProperty(int TableID, int RowNumber, int ColumnNumber,
		int Tag);
	std::string GetTableCellStrProperty(int TableID, int RowNumber,
		int ColumnNumber, int Tag);
	int GetTableColumnCount(int TableID);
	int GetTableLastDrawnRow(int TableID);
	int GetTableRowCount(int TableID);
	std::string GetTempPath();
	double GetTextAscent();
	double GetTextBound(int Edge);
	double GetTextDescent();
	double GetTextHeight();
	double GetTextSize();
	double GetTextWidth(const std::string& Text);
	int GetViewerPreferences(int Option);
	std::string GetWrappedText(double Width, const std::string& Delimiter,
		const std::string& Text);
	std::string GetWrappedTextBreakString(double Width,
		const std::string& Delimiter, const std::string& Text);
	double GetWrappedTextHeight(double Width, const std::string& Text);
	int GetWrappedTextLineCount(double Width, const std::string& Text);
	int GetXFAFormFieldCount();
	std::string GetXFAFormFieldName(int Index);
	std::string GetXFAFormFieldNames(const std::string& Delimiter);
	std::string GetXFAFormFieldValue(const std::string& XFAFieldName);
	int GlobalJavaScriptCount();
	std::string GlobalJavaScriptPackageName(int Index);
	int HasFontResources();
	int HasPageBox(int BoxType);
	int HidePage();
	int ImageCount();
	int ImageFillColor();
	int ImageHeight();
	int ImageHorizontalResolution();
	int ImageResolutionUnits();
	int ImageType();
	int ImageVerticalResolution();
	int ImageWidth();
	int ImportEMFFromFile(const std::string& FileName, int FontOptions,
		int GeneralOptions);
	int InsertPages(int StartPage, int PageCount);
	int InsertTableColumns(int TableID, int Position, int NewColumnCount);
	int InsertTableRows(int TableID, int Position, int NewRowCount);
	int LastErrorCode();
	std::string LastRenderError();
	int LayerCount();

	std::string LibraryVersion();

	int Linearized();
	int LoadFromCanvasDC(double DPI, int Options);
	int LoadFromFile(const std::string& FileName);
	int LoadFromString(const std::string& Source);
	int LoadState();
	int MergeDocument(int DocumentID);
	int MergeFileList(const std::string& ListName,
		const std::string& OutputFileName);
	int MergeFileListFast(const std::string& ListName,
		const std::string& OutputFileName);
	int MergeFiles(const std::string& FirstFileName,
		const std::string& SecondFileName, const std::string& OutputFileName);
	int MergeTableCells(int TableID, int FirstRow, int FirstColumn, int LastRow,
		int LastColumn);
	int MoveLayer(int FromPosition, int ToPosition);
	int MoveOutlineAfter(int OutlineID, int SiblingID);
	int MoveOutlineBefore(int OutlineID, int SiblingID);
	int MovePage(int NewPosition);
	int MovePath(double NewX, double NewY);
	int MultiplyScale(double MultScaleBy);
	std::string NewCustomPrinter(const std::string& OriginalPrinterName);
	int NewDocument();
	int NewFormField(const std::string& Title, int FieldType);
	int NewLayer();
	int NewOptionalContentGroup(const std::string& GroupName);
	int NewOutline(int Parent, const std::string& Title, int DestPage,
		double DestPosition);
	int NewPage();
	int NewPages(int PageCount);
	int NewPostScriptXObject(const std::string& PS);
	int NewRGBAxialShader(const std::string& ShaderName, double StartX,
		double StartY, double StartRed, double StartGreen, double StartBlue,
		double EndX, double EndY, double EndRed, double EndGreen,
		double EndBlue, int Extend);
	int NewStaticOutline(int Parent, const std::string& Title);
	int OpenOutline(int OutlineID);
	int OptionalContentGroupCount();
	int OutlineCount();
	std::string OutlineTitle(int OutlineID);
	int PageCount();
	double PageHeight();
	int PageJavaScriptAction(const std::string& ActionType,
		const std::string& JavaScript);
	int PageRotation();
	double PageWidth();
	int PrintDocument(const std::string& PrinterName, int StartPage,
		int EndPage, int Options);
	int PrintOptions(int PageScaling, int AutoRotateCenter,
		const std::string& Title);
	int RemoveAppearanceStream(int Index);
	int RemoveDocument(int DocumentID);
	int RemoveOutline(int OutlineID);
	int RemoveSharedLayers();
	int RemoveStyle(const std::string& StyleName);
	int RenderDocumentToFile(int DPI, int StartPage, int EndPage, int Options,
		const std::string& FileName);
	int RenderPageToDC(int DPI, int Page, int DC);
	int RenderPageToFile(int DPI, int Page, int Options,
		const std::string& FileName);
	std::string RenderPageToString(int DPI, int Page, int Options);
	int ReplaceFonts();
	int ReplaceImage(int OriginalImageID, int NewImageID);
	int ReplaceTag(const std::string& Tag, const std::string& NewValue);
	int RetrieveCustomDataToFile(const std::string& Key,
		const std::string& FileName, int Location);
	std::string RetrieveCustomDataToString(const std::string& Key,
		int Location);
	int ReverseImage(int Reset);
	int RotatePage(int PageRotation);
	int SaveFontToFile(const std::string& FileName);
	int SaveImageToFile(const std::string& FileName);
	int SaveState();
	int SaveStyle(const std::string& StyleName);
	int SaveToFile(const std::string& FileName);
	std::string SaveToString();
	int SecurityInfo(int SecurityItem);
	int SelectDocument(int DocumentID);
	int SelectFont(int FontID);
	int SelectImage(int ImageID);
	int SelectLayer(int NewLayer);
	int SelectPage(int PageNumber);
	int SelectedDocument();
	int SelectedFont();
	int SelectedImage();
	int SelectedPage();
	int SetAdvancePassword(const std::string& Password);
	int SetAnnotContents(int Index, const std::string& NewContents);
	int SetAnnotStrProperty(int Index, int Tag, const std::string& NewValue);
	int SetBaseURL(const std::string& NewBaseURL);
	int SetBlendMode(int BlendMode);
	int SetBreakString(const std::string& NewBreakString);
	int SetCapturedPageOptional(int CaptureID, int OptionalContentGroupID);
	int SetCatalogInformation(const std::string& Key,
		const std::string& NewValue);
	int SetCharWidth(int CharCode, int NewWidth);
	int SetClippingPath();
	int SetClippingPathEvenOdd();
	int SetCropBox(double Left, double Top, double Width, double Height);
	int SetCustomInformation(const std::string& Key,
		const std::string& NewValue);
	int SetCustomLineDash(const std::string& DashPattern, double DashPhase);
	int SePDFiumFileNamee(const std::wstring& FileName);
	int SetDocumentMetadata(const std::string& XMP);
	int SetFillColor(double Red, double Green, double Blue);
	int SetFillColorCMYK(double C, double M, double Y, double K);
	int SetFillColorSep(const std::string& ColorName, double Tint);
	int SetFillShader(const std::string& ShaderName);
	int SetFontEncoding(int Encoding);
	int SetFontFlags(int Fixed, int Serif, int Symbolic, int Script, int Italic,
		int AllCap, int SmallCap, int ForceBold);
	int SetFormFieldAlignment(int Index, int Alignment);
	int SetFormFieldAnnotFlags(int Index, int NewFlags);
	int SetFormFieldBackgroundColor(int Index, double Red, double Green,
		double Blue);
	int SetFormFieldBackgroundColorCMYK(int Index, double C, double M, double Y,
		double K);
	int SetFormFieldBackgroundColorSep(int Index, const std::string& ColorName,
		double Tint);
	int SetFormFieldBorderColor(int Index, double Red, double Green,
		double Blue);
	int SetFormFieldBorderColorCMYK(int Index, double C, double M, double Y,
		double K);
	int SetFormFieldBorderColorSep(int Index, const std::string& ColorName,
		double Tint);
	int SetFormFieldBorderStyle(int Index, double Width, int Style,
		double DashOn, double DashOff);
	int SetFormFieldBounds(int Index, double Left, double Top, double Width,
		double Height);
	int SetFormFieldCalcOrder(int Index, int Order);
	int SetFormFieldCaption(int Index, const std::string& NewCaption);
	int SetFormFieldCheckStyle(int Index, int CheckStyle, int Position);
	int SetFormFieldChildTitle(int Index, const std::string& NewTitle);
	int SetFormFieldColor(int Index, double Red, double Green, double Blue);
	int SetFormFieldColorCMYK(int Index, double C, double M, double Y,
		double K);
	int SetFormFieldColorSep(int Index, const std::string& ColorName,
		double Tint);
	int SetFormFieldComb(int Index, int Comb);
	int SetFormFieldDefaultValue(int Index, const std::string& NewDefaultValue);
	int SetFormFieldDescription(int Index, const std::string& NewValue);
	int SetFormFieldFlags(int Index, int NewFlags);
	int SetFormFieldFont(int Index, int FontIndex);
	int SetFormFieldHighlightMode(int Index, int NewMode);
	int SetFormFieldIcon(int Index, int IconType, int CaptureID);
	int SetFormFieldIconStyle(int Index, int Placement, int Scale,
		int ScaleType, int HorizontalShift, int VerticalShift);
	int SetFormFieldMaxLen(int Index, int NewMaxLen);
	int SetFormFieldOptional(int Index, int OptionalContentGroupID);
	int SetFormFieldPage(int Index, int NewPage);
	int SetFormFieldPrintable(int Index, int Printable);
	int SetFormFieldReadOnly(int Index, int ReadOnly);
	int SetFormFieldRotation(int Index, int Angle);
	int SetFormFieldStandardFont(int Index, int StandardFontID);
	int SetFormFieldTabOrder(int Index, int Order);
	int SetFormFieldTextFlags(int Index, int Multiline, int Password,
		int FileSelect, int DoNotSpellCheck, int DoNotScroll);
	int SetFormFieldTextSize(int Index, double NewTextSize);
	int SetFormFieldValue(int Index, const std::string& NewValue);
	int SetFormFieldValueByTitle(const std::string& Title,
		const std::string& NewValue);
	int SetFormFieldVisible(int Index, int Visible);
	int SetGDIPlusFileName(const std::string& DLLFileName);
	int SetGDIPlusOptions(int OptionID, int NewValue);
	int SetHTMLBoldFont(const std::string& FontSet, int FontID);
	int SetHTMLBoldItalicFont(const std::string& FontSet, int FontID);
	int SetHTMLItalicFont(const std::string& FontSet, int FontID);
	int SetHTMLNormalFont(const std::string& FontSet, int FontID);
	int SetImageAsMask(int MaskType);
	int SetImageMask(double FromRed, double FromGreen, double FromBlue,
		double ToRed, double ToGreen, double ToBlue);
	int SetImageMaskCMYK(double FromC, double FromM, double FromY, double FromK,
		double ToC, double ToM, double ToY, double ToK);
	int SetImageMaskFromImage(int ImageID);
	int SetImageOptional(int OptionalContentGroupID);
	int SetInformation(int Key, const std::string& NewValue);
	int SetJPEGQuality(int Quality);
	int SetJavaScriptMode(int JSMode);
	int SetKerning(const std::string& CharPair, int Adjustment);
	int SetLayerOptional(int OptionalContentGroupID);
	int SetLineCap(int LineCap);
	int SetLineColor(double Red, double Green, double Blue);
	int SetLineColorCMYK(double C, double M, double Y, double K);
	int SetLineColorSep(const std::string& ColorName, double Tint);
	int SetLineDash(double DashOn, double DashOff);
	int SetLineJoin(int LineJoin);
	int SetLineShader(const std::string& ShaderName);
	int SetLineWidth(double LineWidth);
	int SetMeasurementUnits(int MeasurementUnits);
	int SetNeedAppearances(int NewValue);
	int SetOpenActionDestination(int OpenPage, int Zoom);
	int SetOpenActionDestinationFull(int OpenPage, int Zoom, int DestType,
		double Left, double Top, double Right, double Bottom);
	int SetOpenActionJavaScript(const std::string& JavaScript);
	int SetOpenActionMenu(const std::string& MenuItem);
	int SetOptionalContentGroupPrintable(int OptionalContentGroupID,
		int Printable);
	int SetOptionalContentGroupVisible(int OptionalContentGroupID, int Visible);
	int SetOrigin(int Origin);
	int SetOutlineColor(int OutlineID, double Red, double Green, double Blue);
	int SetOutlineDestination(int OutlineID, int DestPage, double DestPosition);
	int SetOutlineDestinationFull(int OutlineID, int DestPage, int Zoom,
		int DestType, double Left, double Top, double Right, double Bottom);
	int SetOutlineDestinationZoom(int OutlineID, int DestPage,
		double DestPosition, int Zoom);
	int SetOutlineJavaScript(int OutlineID, const std::string& JavaScript);
	int SetOutlineOpenFile(int OutlineID, const std::string& FileName);
	int SetOutlineStyle(int OutlineID, int SetItalic, int SetBold);
	int SetOutlineTitle(int OutlineID, const std::string& NewTitle);
	int SetOutlineWebLink(int OutlineID, const std::string& Link);
	int SetPNGTransparencyColor(int RedByte, int GreenByte, int BlueByte);
	int SetPageActionMenu(const std::string& MenuItem);
	int SetPageContent(const std::string& NewContent);
	int SetPageDimensions(double NewPageWidth, double NewPageHeight);
	int SetPageLayout(int NewPageLayout);
	int SetPageMode(int NewPageMode);
	int SetPageSize(const std::string& PaperName);
	int SetPageThumbnail();
	int SetPageTransparencyGroup(int CS, int Isolate, int Knockout);
	int SetPassword(const std::string& Password);
	int SetPrecision(int NewPrecision);
	int SetScale(double NewScale);
	int SetTableBorderColor(int TableID, int BorderIndex, double Red,
		double Green, double Blue);
	int SetTableBorderColorCMYK(int TableID, int BorderIndex, double C,
		double M, double Y, double K);
	int SetTableBorderWidth(int TableID, int BorderIndex, double NewWidth);
	int SetTableCellAlignment(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, int NewCellAlignment);
	int SetTableCellBackgroundColor(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, double Red, double Green, double Blue);
	int SetTableCellBackgroundColorCMYK(int TableID, int FirstRow,
		int FirstColumn, int LastRow, int LastColumn, double C, double M,
		double Y, double K);
	int SetTableCellBorderColor(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, int BorderIndex, double Red, double Green,
		double Blue);
	int SetTableCellBorderColorCMYK(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, int BorderIndex, double C, double M,
		double Y, double K);
	int SetTableCellBorderWidth(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, int BorderIndex, double NewWidth);
	int SetTableCellContent(int TableID, int RowNumber, int ColumnNumber,
		const std::string& HTMLText);
	int SetTableCellPadding(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, int BorderIndex, double NewPadding);
	int SetTableCellTextColor(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, double Red, double Green, double Blue);
	int SetTableCellTextColorCMYK(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, double C, double M, double Y, double K);
	int SetTableCellTextSize(int TableID, int FirstRow, int FirstColumn,
		int LastRow, int LastColumn, double NewTextSize);
	int SetTableColumnWidth(int TableID, int FirstColumn, int LastColumn,
		double NewWidth);
	int SetTableRowHeight(int TableID, int FirstRow, int LastRow,
		double NewHeight);
	int SetTempFile(const std::string& FileName);
	int SetTempPath(const std::string& NewPath);
	int SetTextAlign(int TextAlign);
	int SetTextCharSpacing(double CharSpacing);
	int SetTextColor(double Red, double Green, double Blue);
	int SetTextColorCMYK(double C, double M, double Y, double K);
	int SetTextColorSep(const std::string& ColorName, double Tint);
	int SetTextHighlight(int Highlight);
	int SetTextHighlightColor(double Red, double Green, double Blue);
	int SetTextHighlightColorCMYK(double C, double M, double Y, double K);
	int SetTextHighlightColorSep(const std::string& ColorName, double Tint);
	int SetTextMode(int TextMode);
	int SetTextRise(double Rise);
	int SetTextScaling(double ScalePercentage);
	int SetTextShader(const std::string& ShaderName);
	int SetTextSize(double TextSize);
	int SetTextSpacing(double Spacing);
	int SetTextUnderline(int Underline);
	int SetTextUnderlineColor(double Red, double Green, double Blue);
	int SetTextUnderlineColorCMYK(double C, double M, double Y, double K);
	int SetTextUnderlineColorSep(const std::string& ColorName, double Tint);
	int SetTextUnderlineDash(double DashOn, double DashOff);
	int SetTextWordSpacing(double WordSpacing);
	int SetTransparency(int Transparency);
	int SetViewerPreferences(int Option, int NewValue);
	int SetXFAFormFieldAccess(const std::string& XFAFieldName, int NewAccess);
	int SetXFAFormFieldBorderColor(const std::string& XFAFieldName, double Red,
		double Green, double Blue);
	int SetXFAFormFieldBorderPresence(const std::string& XFAFieldName,
		int NewPresence);
	int SetXFAFormFieldBorderWidth(const std::string& XFAFieldName,
		double BorderWidth);
	int SetXFAFormFieldValue(const std::string& XFAFieldName,
		const std::string& NewValue);
	intSetupPrinterr(const std::string& CustomPrinterName, int Setting,
		int NewValue);
	int SignFile(const std::string& InputFileName,
		const std::string& OpenPassword, const std::string& SignatureFieldName,
		const std::string& OutputFileName, const std::string& PFXFileName,
		const std::string& PFXPassword, const std::string& Reason,
		const std::string& Location, const std::string& ContactInfo);
	int SplitPageText(int Options);
	int StartPath(double StartX, double StartY);
	int StoreCustomDataFromFile(const std::string& Key,
		const std::string& FileName, int Location, int Options);
	int StoreCustomDataFromString(const std::string& Key,
		const std::string& NewValue, int Location, int Options);
	int TestTempPath();
	std::string ToPDFUnicode(const std::string& Input);
	int UpdateAppearanceStream(int Index);
	int UseKerning(int Kern);
	int UseUnsafeLayers(int SafetyLevel);

private:
	HMODULE dllHandle;
	int instanceID;

	char* StringParm(const std::string& strParm, int& sb);

	bool loadError;

	FARPROC AttachFunction(char* funcName);

	PDFlibFuncType43 PDFlibAddArcToPath;
	PDFlibFuncType64 PDFlibAddCJKFont;
	PDFlibFuncType52 PDFlibAddCurveToPath;
	PDFlibFuncType24 PDFlibAddEmbFile;
	PDFlibFuncType34 PDFlibAddFileAttachment;
	PDFlibFuncType65 PDFlibAddFormFieldSub;
	PDFlibFuncType64 PDFlibAddFormFont;
	PDFlibFuncType24 PDFlibAddGlobalJScript;
	PDFlibFuncType34 PDFlibAddImageFromFile;
	PDFlibFuncType37 PDFlibAddImageFromFileOffset;
	PDFlibFuncType34 PDFlibAddImageFromString;
	PDFlibFuncType23 PDFlibAddLGIDictToPage;
	PDFlibFuncType40 PDFlibAddLineToPath;
	PDFlibFuncType58 PDFlibAddLinkToEmbFile;
	PDFlibFuncType48 PDFlibAddLinkToFile;
	PDFlibFuncType47 PDFlibAddLinkToJScript;
	PDFlibFuncType59 PDFlibAddLinkToPage;
	PDFlibFuncType47 PDFlibAddLinkToWeb;
	PDFlibFuncType62 PDFlibAddNoteAnnot;
	PDFlibFuncType82 PDFlibAddPageLabels;
	PDFlibFuncType47 PDFlibAddSVGAnnotFromFile;
	PDFlibFuncType33 PDFlibAddSeparationColor;
	PDFlibFuncType64 PDFlibAddStandardFont;
	PDFlibFuncType35 PDFlibAddSubsettedFont;
	PDFlibFuncType28 PDFlibAddToBuffer;
	PDFlibFuncType24 PDFlibAddToFileList;
	PDFlibFuncType34 PDFlibAddTTF;
	PDFlibFuncType23 PDFlibAddTTFFromFile;
	PDFlibFuncType23 PDFlibAddT1Font;
	PDFlibFuncType47 PDFlibAddU3DAnnotFromFile;
	PDFlibFuncType24 PDFlibAnalyseFile;
	PDFlibFuncType22 PDFlibAnnotCount;
	PDFlibFuncType38 PDFlibAppendSpace;
	PDFlibFuncType74 PDFlibAppendTableCol;
	PDFlibFuncType74 PDFlibAppendTableRow;
	PDFlibFuncType23 PDFlibAppendText;
	PDFlibFuncType23 PDFlibApplyStyle;
	PDFlibFuncType22 PDFlibBeginPageUpdate;
	PDFlibFuncType64 PDFlibCapturePage;
	PDFlibFuncType74 PDFlibCapturePageEx;
	PDFlibFuncType64 PDFlibCharWidth;
	PDFlibFuncType22 PDFlibCheckObject;
	PDFlibFuncType22 PDFlibCheckPageAnnot;
	PDFlibFuncType23 PDFlibClearFileList;
	PDFlibFuncType22 PDFlibClearPageLabel;
	PDFlibFuncType22 PDFlibClearTextFormat;
	PDFlibFuncType64 PDFlibCloneOutlineAct;
	PDFlibFuncType81 PDFlibClonePages;
	PDFlibFuncType64 PDFlibCloseOutline;
	PDFlibFuncType22 PDFlibClosePath;
	PDFlibFuncType22 PDFlibCombineLayer;
	PDFlibFuncType22 PDFlibCompressContent;
	PDFlibFuncType64 PDFlibCompressFont;
	PDFlibFuncType64 PDFlibCompressImage;
	PDFlibFuncType22 PDFlibCompressPage;
	PDFlibFuncType65 PDFlibCopyPageRange;
	PDFlibFuncType8 PDFlibCreateBuffer;
	PDFlibFuncType21 PDFlibCreateLibrary;
	PDFlibFuncType74 PDFlibCreateTable;
	PDFlibFuncType64 PDFlibDAAppendFile;
	PDFlibFuncType74 PDFlibDACapturePage;
	PDFlibFuncType81 PDFlibDACapturePageEx;
	PDFlibFuncType64 PDFlibDACloseFile;
	PDFlibFuncType84 PDFlibDADrawCapturedPage;
	PDFlibFuncType11 PDFlibDAExtractPageText;
	PDFlibFuncType74 PDFlibDAFindPage;
	PDFlibFuncType64 PDFlibDAGetFormFieldCount;
	PDFlibFuncType10 PDFlibDAGetFormFieldTitle;
	PDFlibFuncType10 PDFlibDAGetFormFieldValue;
	PDFlibFuncType11 PDFlibDAGetImgToString;
	PDFlibFuncType20 PDFlibDAGetImgDblProp;
	PDFlibFuncType85 PDFlibDAGetImgIntProp;
	PDFlibFuncType74 PDFlibDAGetImgListCount;
	PDFlibFuncType9 PDFlibDAGetInfo;
	PDFlibFuncType64 PDFlibDAGetObjCount;
	PDFlibFuncType10 PDFlibDAGetObjSource;
	PDFlibFuncType10 PDFlibDAGetPageContent;
	PDFlibFuncType64 PDFlibDAGetPageCount;
	PDFlibFuncType19 PDFlibDAGetPageHeight;
	PDFlibFuncType74 PDFlibDAGetPageImgList;
	PDFlibFuncType19 PDFlibDAGetPageWidth;
	PDFlibFuncType74 PDFlibDAHidePage;
	PDFlibFuncType85 PDFlibDAMovePage;
	PDFlibFuncType64 PDFlibDANewPage;
	PDFlibFuncType74 PDFlibDANewPages;
	PDFlibFuncType24 PDFlibDAOpenFile;
	PDFlibFuncType24 PDFlibDAOpenFileRO;
	PDFlibFuncType74 PDFlibDAPageRot;
	PDFlibFuncType85 PDFlibDARenderToDC;
	PDFlibFuncType86 PDFlibDARenderToFile;
	PDFlibFuncType12 PDFlibDARenderToString;
	PDFlibFuncType85 PDFlibDARotPage;
	PDFlibFuncType65 PDFlibDASaveAsFile;
	PDFlibFuncType82 PDFlibDASaveImgToFile;
	PDFlibFuncType66 PDFlibDASetInfo;
	PDFlibFuncType77 PDFlibDASetPageSize;
	PDFlibFuncType22 PDFlibDecrypt;
	PDFlibFuncType25 PDFlibDecryptFile;
	PDFlibFuncType64 PDFlibDeleteAnalysis;
	PDFlibFuncType64 PDFlibDeleteAnnot;
	PDFlibFuncType64 PDFlibDeleteFormField;
	PDFlibFuncType22 PDFlibDeleteLayer;
	PDFlibFuncType64 PDFlibDeleteOptContGroup;
	PDFlibFuncType64 PDFlibDeletePageLGIDict;
	PDFlibFuncType74 PDFlibDeletePages;
	PDFlibFuncType24 PDFlibDocJsAction;
	PDFlibFuncType22 PDFlibDocCount;
	PDFlibFuncType56 PDFlibDrawArc;
	PDFlibFuncType49 PDFlibDrawBarcode;
	PDFlibFuncType57 PDFlibDrawBox;
	PDFlibFuncType71 PDFlibDrawCaptPage;
	PDFlibFuncType61 PDFlibDrawCircle;
	PDFlibFuncType45 PDFlibDrawDataMatrixSymbol;
	PDFlibFuncType57 PDFlibDrawEllipse;
	PDFlibFuncType54 PDFlibDrawEllipticArc;
	PDFlibFuncType44 PDFlibDrawHTMLText;
	PDFlibFuncType7 PDFlibDrawHTMLTextBox;
	PDFlibFuncType46 PDFlibDrawImg;
	PDFlibFuncType46 PDFlibDrawLine;
	PDFlibFuncType42 PDFlibDrawMultiLineText;
	PDFlibFuncType64 PDFlibDrawPath;
	PDFlibFuncType64 PDFlibDrawPathEvenOdd;
	PDFlibFuncType64 PDFlibDrawPsXObject;
	PDFlibFuncType72 PDFlibDrawRotCaptPage;
	PDFlibFuncType50 PDFlibDrawRotImg;
	PDFlibFuncType44 PDFlibDrawRotText;
	PDFlibFuncType51 PDFlibDrawRotTextBox;
	PDFlibFuncType55 PDFlibDrawRoundBox;
	PDFlibFuncType43 PDFlibDrawScaledImg;
	PDFlibFuncType44 PDFlibDrawSpacedText;
	PDFlibFuncType18 PDFlibDrawTableRow;
	PDFlibFuncType41 PDFlibDrawText;
	PDFlibFuncType47 PDFlibDrawTextArc;
	PDFlibFuncType47 PDFlibDrawTextBox;
	PDFlibFuncType44 PDFlibDrawWrappedText;
	PDFlibFuncType22 PDFlibEditableLayer;
	PDFlibFuncType25 PDFlibEmbFile;
	PDFlibFuncType22 PDFlibEmbFileCount;
	PDFlibFuncType22 PDFlibEncapsulateLayer;
	PDFlibFuncType96 PDFlibEncodePermissions;
	PDFlibFuncType29 PDFlibEncrypt;
	PDFlibFuncType27 PDFlibEncryptFile;
	PDFlibFuncType23 PDFlibEncryptWithFingerprint;
	PDFlibFuncType22 PDFlibEncryptionAlgorithm;
	PDFlibFuncType22 PDFlibEncryptionStatus;
	PDFlibFuncType22 PDFlibEncryptionStrength;
	PDFlibFuncType22 PDFlibEndPageUpdate;
	PDFlibFuncType3 PDFlibExtractFilePageContent;
	PDFlibFuncType4 PDFlibExtractFilePageText;
	PDFlibFuncType25 PDFlibExtractFilePages;
	PDFlibFuncType23 PDFlibExtractPageRanges;
	PDFlibFuncType74 PDFlibExtractPages;
	PDFlibFuncType23 PDFlibFileListCount;
	PDFlibFuncType5 PDFlibFileListItem;
	PDFlibFuncType22 PDFlibFindFonts;
	PDFlibFuncType23 PDFlibFindFormFieldByTitle;
	PDFlibFuncType22 PDFlibFindImages;
	PDFlibFuncType60 PDFlibFitImage;
	PDFlibFuncType51 PDFlibFitRotatedTextBox;
	PDFlibFuncType47 PDFlibFitTextBox;
	PDFlibFuncType64 PDFlibFlattenFormField;
	PDFlibFuncType22 PDFlibFontCount;
	PDFlibFuncType1 PDFlibFontFamily;
	PDFlibFuncType22 PDFlibFontHasKerning;
	PDFlibFuncType1 PDFlibFontName;
	PDFlibFuncType1 PDFlibFontReference;
	PDFlibFuncType22 PDFlibFontSize;
	PDFlibFuncType22 PDFlibFontType;
	PDFlibFuncType22 PDFlibFormFieldCount;
	PDFlibFuncType64 PDFlibFormFieldHasParent;
	PDFlibFuncType66 PDFlibFormFieldJScriptAction;
	PDFlibFuncType66 PDFlibFormFieldWebLinkAction;
	PDFlibFuncType8 PDFlibGetActionType;
	PDFlibFuncType10 PDFlibGetAnalysisInfo;
	PDFlibFuncType64 PDFlibGetAnnotActionID;
	PDFlibFuncType19 PDFlibGetAnnotDblProperty;
	PDFlibFuncType74 PDFlibGetAnnotIntProperty;
	PDFlibFuncType10 PDFlibGetAnnotStrProperty;
	PDFlibFuncType16 PDFlibGetBarcodeWidth;
	PDFlibFuncType74 PDFlibGetCanvasDC;
	PDFlibFuncType2 PDFlibGetCatalogInfo;
	PDFlibFuncType2 PDFlibGetCustomInfo;
	PDFlibFuncType8 PDFlibGetCustomKeys;
	PDFlibFuncType1 PDFlibGetDefaultPrinter;
	PDFlibFuncType64 PDFlibGetDestPage;
	PDFlibFuncType64 PDFlibGetDestType;
	PDFlibFuncType19 PDFlibGetDestValue;
	PDFlibFuncType2 PDFlibGetDocJavaScript;
	PDFlibFuncType64 PDFlibGetDocID;
	PDFlibFuncType10 PDFlibGetDocIdentifier;
	PDFlibFuncType1 PDFlibGetDocMetadata;
	PDFlibFuncType1 PDFlibGetDocResourceList;
	PDFlibFuncType65 PDFlibGetEmbFileContToFile;
	PDFlibFuncType8 PDFlibGetEmbFileContToString;
	PDFlibFuncType74 PDFlibGetEmbFileIntProp;
	PDFlibFuncType10 PDFlibGetEmbFileStrProp;
	PDFlibFuncType1 PDFlibGetEncFingerprint;
	PDFlibFuncType2 PDFlibGetFileMetadata;
	PDFlibFuncType64 PDFlibGetFirstChildOutline;
	PDFlibFuncType22 PDFlibGetFirstOutline;
	PDFlibFuncType64 PDFlibGetFontID;
	PDFlibFuncType22 PDFlibGetFontObjectNumber;
	PDFlibFuncType64 PDFlibGetFormFieldAlignment;
	PDFlibFuncType64 PDFlibGetFormFieldAnnotFlags;
	PDFlibFuncType19 PDFlibGetFormFieldBackgroundColor;
	PDFlibFuncType19 PDFlibGetFormFieldBorderColor;
	PDFlibFuncType19 PDFlibGetFormFieldBorderProperty;
	PDFlibFuncType64 PDFlibGetFormFieldBorderStyle;
	PDFlibFuncType19 PDFlibGetFormFieldBound;
	PDFlibFuncType8 PDFlibGetFormFieldCaption;
	PDFlibFuncType8 PDFlibGetFormFieldChildTitle;
	PDFlibFuncType64 PDFlibGetFormFieldChoiceType;
	PDFlibFuncType19 PDFlibGetFormFieldColor;
	PDFlibFuncType64 PDFlibGetFormFieldComb;
	PDFlibFuncType8 PDFlibGetFormFieldDefaultValue;
	PDFlibFuncType8 PDFlibGetFormFieldDescription;
	PDFlibFuncType64 PDFlibGetFormFieldFlags;
	PDFlibFuncType8 PDFlibGetFormFieldFontName;
	PDFlibFuncType9 PDFlibGetFormFieldJavaScript;
	PDFlibFuncType64 PDFlibGetFormFieldKidCount;
	PDFlibFuncType64 PDFlibGetFormFieldMaxLen;
	PDFlibFuncType64 PDFlibGetFormFieldPage;
	PDFlibFuncType64 PDFlibGetFormFieldPrintable;
	PDFlibFuncType64 PDFlibGetFormFieldReadOnly;
	PDFlibFuncType64 PDFlibGetFormFieldRotation;
	PDFlibFuncType64 PDFlibGetFormFieldSubCount;
	PDFlibFuncType10 PDFlibGetFormFieldSubName;
	PDFlibFuncType74 PDFlibGetFormFieldSubTempIndex;
	PDFlibFuncType64 PDFlibGetFormFieldTabOrder;
	PDFlibFuncType74 PDFlibGetFormFieldTextFlags;
	PDFlibFuncType17 PDFlibGetFormFieldTextSize;
	PDFlibFuncType8 PDFlibGetFormFieldTitle;
	PDFlibFuncType64 PDFlibGetFormFieldType;
	PDFlibFuncType8 PDFlibGetFormFieldValue;
	PDFlibFuncType2 PDFlibGetFormFieldValueByTitle;
	PDFlibFuncType64 PDFlibGetFormFieldVisible;
	PDFlibFuncType9 PDFlibGetFormFieldWebLink;
	PDFlibFuncType22 PDFlibGetFormFontCount;
	PDFlibFuncType8 PDFlibGetFormFontName;
	PDFlibFuncType2 PDFlibGetGlobalJavaScript;
	PDFlibFuncType15 PDFlibGetHTMLTextHeight;
	PDFlibFuncType39 PDFlibGetHTMLTextLineCount;
	PDFlibFuncType15 PDFlibGetHTMLTextWidth;
	PDFlibFuncType64 PDFlibGetImageID;
	PDFlibFuncType23 PDFlibGetImagePageCount;
	PDFlibFuncType8 PDFlibGetInformation;
	PDFlibFuncType23 PDFlibGetKerning;
	PDFlibFuncType23 PDFlibGetNamedDestination;
	PDFlibFuncType64 PDFlibGetNextOutline;
	PDFlibFuncType22 PDFlibGetObjectCount;
	PDFlibFuncType8 PDFlibGetObjectSource;
	PDFlibFuncType22 PDFlibGetOpenActionDestination;
	PDFlibFuncType1 PDFlibGetOpenActionJavaScript;
	PDFlibFuncType64 PDFlibGetOptionalContentGroupID;
	PDFlibFuncType8 PDFlibGetOptionalContentGroupName;
	PDFlibFuncType22 PDFlibGetOrigin;
	PDFlibFuncType64 PDFlibGetOutlineActionID;
	PDFlibFuncType19 PDFlibGetOutlineColor;
	PDFlibFuncType64 PDFlibGetOutlineDest;
	PDFlibFuncType64 PDFlibGetOutlineID;
	PDFlibFuncType8 PDFlibGetOutlineJavaScript;
	PDFlibFuncType8 PDFlibGetOutlineOpenFile;
	PDFlibFuncType64 PDFlibGetOutlinePage;
	PDFlibFuncType64 PDFlibGetOutlineStyle;
	PDFlibFuncType8 PDFlibGetOutlineWebLink;
	PDFlibFuncType19 PDFlibGetPageBox;
	PDFlibFuncType1 PDFlibGetPageContent;
	PDFlibFuncType2 PDFlibGetPageJavaScript;
	PDFlibFuncType8 PDFlibGetPageLGIDictContent;
	PDFlibFuncType22 PDFlibGetPageLGIDictCount;
	PDFlibFuncType8 PDFlibGetPageLabel;
	PDFlibFuncType22 PDFlibGetPageLayout;
	PDFlibFuncType22 PDFlibGetPageMode;
	PDFlibFuncType8 PDFlibGetPageText;
	PDFlibFuncType64 PDFlibGetParentOutline;
	PDFlibFuncType64 PDFlibGetPrevOutline;
	PDFlibFuncType2 PDFlibGetPrinterBins;
	PDFlibFuncType1 PDFlibGetPrinterNames;
	PDFlibFuncType2 PDFlibGetSubsetString;
	PDFlibFuncType20 PDFlibGetTableCellDblProperty;
	PDFlibFuncType85 PDFlibGetTableCellIntProperty;
	PDFlibFuncType12 PDFlibGetTableCellStrProperty;
	PDFlibFuncType64 PDFlibGetTableColumnCount;
	PDFlibFuncType64 PDFlibGetTableLastDrawnRow;
	PDFlibFuncType64 PDFlibGetTableRowCount;
	PDFlibFuncType1 PDFlibGetTempPath;
	PDFlibFuncType13 PDFlibGetTextAscent;
	PDFlibFuncType17 PDFlibGetTextBound;
	PDFlibFuncType13 PDFlibGetTextDescent;
	PDFlibFuncType13 PDFlibGetTextHeight;
	PDFlibFuncType13 PDFlibGetTextSize;
	PDFlibFuncType14 PDFlibGetTextWidth;
	PDFlibFuncType64 PDFlibGetViewerPreferences;
	PDFlibFuncType6 PDFlibGetWrappedText;
	PDFlibFuncType6 PDFlibGetWrappedTextBreakString;
	PDFlibFuncType15 PDFlibGetWrappedTextHeight;
	PDFlibFuncType39 PDFlibGetWrappedTextLineCount;
	PDFlibFuncType22 PDFlibGetXFAFormFieldCount;
	PDFlibFuncType8 PDFlibGetXFAFormFieldName;
	PDFlibFuncType2 PDFlibGetXFAFormFieldNames;
	PDFlibFuncType2 PDFlibGetXFAFormFieldValue;
	PDFlibFuncType22 PDFlibGlobalJavaScriptCount;
	PDFlibFuncType8 PDFlibGlobalJavaScriptPackageName;
	PDFlibFuncType22 PDFlibHasFontResources;
	PDFlibFuncType64 PDFlibHasPageBox;
	PDFlibFuncType22 PDFlibHidePage;
	PDFlibFuncType22 PDFlibImageCount;
	PDFlibFuncType22 PDFlibImageFillColor;
	PDFlibFuncType22 PDFlibImageHeight;
	PDFlibFuncType22 PDFlibImageHorizontalResolution;
	PDFlibFuncType22 PDFlibImageResolutionUnits;
	PDFlibFuncType22 PDFlibImageType;
	PDFlibFuncType22 PDFlibImageVerticalResolution;
	PDFlibFuncType22 PDFlibImageWidth;
	PDFlibFuncType36 PDFlibImportEMFFromFile;
	PDFlibFuncType74 PDFlibInsertPages;
	PDFlibFuncType81 PDFlibInsertTableColumns;
	PDFlibFuncType81 PDFlibInsertTableRows;
	PDFlibFuncType22 PDFlibLastErrorCode;
	PDFlibFuncType1 PDFlibLastRenderError;
	PDFlibFuncType22 PDFlibLayerCount;
	PDFlibFuncType1 PDFlibVersion;
	PDFlibFuncType22 PDFlibLinearized;
	PDFlibFuncType63 PDFlibLoadFromCanvasDC;
	PDFlibFuncType23 PDFlibLoadFromFile;
	PDFlibFuncType23 PDFlibLoadFromString;
	PDFlibFuncType22 PDFlibLoadState;
	PDFlibFuncType64 PDFlibMergeDocument;
	PDFlibFuncType24 PDFlibMergeFileList;
	PDFlibFuncType24 PDFlibMergeFileListFast;
	PDFlibFuncType25 PDFlibMergeFiles;
	PDFlibFuncType88 PDFlibMergeTableCells;
	PDFlibFuncType74 PDFlibMoveLayer;
	PDFlibFuncType74 PDFlibMoveOutlineAfter;
	PDFlibFuncType74 PDFlibMoveOutlineBefore;
	PDFlibFuncType64 PDFlibMovePage;
	PDFlibFuncType40 PDFlibMovePath;
	PDFlibFuncType38 PDFlibMultiplyScale;
	PDFlibFuncType2 PDFlibNewCustomPrinter;
	PDFlibFuncType22 PDFlibNewDocument;
	PDFlibFuncType34 PDFlibNewFormField;
	PDFlibFuncType22 PDFlibNewLayer;
	PDFlibFuncType23 PDFlibNewOptionalContentGroup;
	PDFlibFuncType68 PDFlibNewOutline;
	PDFlibFuncType22 PDFlibNewPage;
	PDFlibFuncType64 PDFlibNewPages;
	PDFlibFuncType23 PDFlibNewPostScriptXObject;
	PDFlibFuncType32 PDFlibNewRGBAxialShader;
	PDFlibFuncType65 PDFlibNewStaticOutline;
	PDFlibFuncType64 PDFlibOpenOutline;
	PDFlibFuncType22 PDFlibOptionalContentGroupCount;
	PDFlibFuncType22 PDFlibOutlineCount;
	PDFlibFuncType8 PDFlibOutlineTitle;
	PDFlibFuncType22 PDFlibPageCount;
	PDFlibFuncType13 PDFlibPageHeight;
	PDFlibFuncType24 PDFlibPageJavaScriptAction;
	PDFlibFuncType22 PDFlibPageRotation;
	PDFlibFuncType13 PDFlibPageWidth;
	PDFlibFuncType37 PDFlibPrintDocument;
	PDFlibFuncType75 PDFlibPrintOptions;
	PDFlibFuncType23 PDFlibReleaseBuffer;
	PDFlibFuncType22 PDFlibReleaseLibrary;
	PDFlibFuncType64 PDFlibRemoveAppearanceStream;
	PDFlibFuncType64 PDFlibRemoveDocument;
	PDFlibFuncType64 PDFlibRemoveOutline;
	PDFlibFuncType22 PDFlibRemoveSharedLayers;
	PDFlibFuncType23 PDFlibRemoveStyle;
	PDFlibFuncType86 PDFlibRenderDocumentToFile;
	PDFlibFuncType81 PDFlibRenderPageToDC;
	PDFlibFuncType82 PDFlibRenderPageToFile;
	PDFlibFuncType11 PDFlibRenderPageToString;
	PDFlibFuncType22 PDFlibReplaceFonts;
	PDFlibFuncType74 PDFlibReplaceImage;
	PDFlibFuncType24 PDFlibReplaceTag;
	PDFlibFuncType28 PDFlibRetrieveCustomDataToFile;
	PDFlibFuncType5 PDFlibRetrieveCustomDataToString;
	PDFlibFuncType64 PDFlibReverseImage;
	PDFlibFuncType64 PDFlibRotatePage;
	PDFlibFuncType23 PDFlibSaveFontToFile;
	PDFlibFuncType23 PDFlibSaveImageToFile;
	PDFlibFuncType22 PDFlibSaveState;
	PDFlibFuncType23 PDFlibSaveStyle;
	PDFlibFuncType23 PDFlibSaveToFile;
	PDFlibFuncType1 PDFlibSaveToString;
	PDFlibFuncType64 PDFlibSecurityInfo;
	PDFlibFuncType64 PDFlibSelectDocument;
	PDFlibFuncType64 PDFlibSelectFont;
	PDFlibFuncType64 PDFlibSelectImage;
	PDFlibFuncType64 PDFlibSelectLayer;
	PDFlibFuncType64 PDFlibSelectPage;
	PDFlibFuncType22 PDFlibSelectedDocument;
	PDFlibFuncType22 PDFlibSelectedFont;
	PDFlibFuncType22 PDFlibSelectedImage;
	PDFlibFuncType22 PDFlibSelectedPage;
	PDFlibFuncType23 PDFlibSetAdvancePassword;
	PDFlibFuncType65 PDFlibSetAnnotContents;
	PDFlibFuncType75 PDFlibSetAnnotStrProperty;
	PDFlibFuncType23 PDFlibSetBaseURL;
	PDFlibFuncType64 PDFlibSetBlendMode;
	PDFlibFuncType23 PDFlibSetBreakString;
	PDFlibFuncType74 PDFlibSetCapturedPageOptional;
	PDFlibFuncType24 PDFlibSetCatalogInformation;
	PDFlibFuncType74 PDFlibSetCharWidth;
	PDFlibFuncType22 PDFlibSetClippingPath;
	PDFlibFuncType22 PDFlibSetClippingPathEvenOdd;
	PDFlibFuncType46 PDFlibSetCropBox;
	PDFlibFuncType24 PDFlibSetCustomInformation;
	PDFlibFuncType30 PDFlibSetCustomLineDash;
	PDFlibFuncType99 PDFlibSePDFiumFileNamee;
	PDFlibFuncType23 PDFlibSetDocumentMetadata;
	PDFlibFuncType43 PDFlibSetFillColor;
	PDFlibFuncType46 PDFlibSetFillColorCMYK;
	PDFlibFuncType30 PDFlibSetFillColorSep;
	PDFlibFuncType23 PDFlibSetFillShader;
	PDFlibFuncType64 PDFlibSetFontEncoding;
	PDFlibFuncType96 PDFlibSetFontFlags;
	PDFlibFuncType74 PDFlibSetFormFieldAlignment;
	PDFlibFuncType74 PDFlibSetFormFieldAnnotFlags;
	PDFlibFuncType70 PDFlibSetFormFieldBackgroundColor;
	PDFlibFuncType71 PDFlibSetFormFieldBackgroundColorCMYK;
	PDFlibFuncType67 PDFlibSetFormFieldBackgroundColorSep;
	PDFlibFuncType70 PDFlibSetFormFieldBorderColor;
	PDFlibFuncType71 PDFlibSetFormFieldBorderColorCMYK;
	PDFlibFuncType67 PDFlibSetFormFieldBorderColorSep;
	PDFlibFuncType73 PDFlibSetFormFieldBorderStyle;
	PDFlibFuncType71 PDFlibSetFormFieldBounds;
	PDFlibFuncType74 PDFlibSetFormFieldCalcOrder;
	PDFlibFuncType65 PDFlibSetFormFieldCaption;
	PDFlibFuncType81 PDFlibSetFormFieldCheckStyle;
	PDFlibFuncType65 PDFlibSetFormFieldChildTitle;
	PDFlibFuncType70 PDFlibSetFormFieldColor;
	PDFlibFuncType71 PDFlibSetFormFieldColorCMYK;
	PDFlibFuncType67 PDFlibSetFormFieldColorSep;
	PDFlibFuncType74 PDFlibSetFormFieldComb;
	PDFlibFuncType65 PDFlibSetFormFieldDefaultValue;
	PDFlibFuncType65 PDFlibSetFormFieldDescription;
	PDFlibFuncType74 PDFlibSetFormFieldFlags;
	PDFlibFuncType74 PDFlibSetFormFieldFont;
	PDFlibFuncType74 PDFlibSetFormFieldHighlightMode;
	PDFlibFuncType81 PDFlibSetFormFieldIcon;
	PDFlibFuncType92 PDFlibSetFormFieldIconStyle;
	PDFlibFuncType74 PDFlibSetFormFieldMaxLen;
	PDFlibFuncType74 PDFlibSetFormFieldOptional;
	PDFlibFuncType74 PDFlibSetFormFieldPage;
	PDFlibFuncType74 PDFlibSetFormFieldPrintable;
	PDFlibFuncType74 PDFlibSetFormFieldReadOnly;
	PDFlibFuncType74 PDFlibSetFormFieldRotation;
	PDFlibFuncType74 PDFlibSetFormFieldStandardFont;
	PDFlibFuncType74 PDFlibSetFormFieldTabOrder;
	PDFlibFuncType92 PDFlibSetFormFieldTextFlags;
	PDFlibFuncType69 PDFlibSetFormFieldTextSize;
	PDFlibFuncType65 PDFlibSetFormFieldValue;
	PDFlibFuncType24 PDFlibSetFormFieldValueByTitle;
	PDFlibFuncType74 PDFlibSetFormFieldVisible;
	PDFlibFuncType23 PDFlibSetGDIPlusFileName;
	PDFlibFuncType74 PDFlibSetGDIPlusOptions;
	PDFlibFuncType34 PDFlibSetHTMLBoldFont;
	PDFlibFuncType34 PDFlibSetHTMLBoldItalicFont;
	PDFlibFuncType34 PDFlibSetHTMLItalicFont;
	PDFlibFuncType34 PDFlibSetHTMLNormalFont;
	PDFlibFuncType64 PDFlibSetImageAsMask;
	PDFlibFuncType52 PDFlibSetImageMask;
	PDFlibFuncType53 PDFlibSetImageMaskCMYK;
	PDFlibFuncType64 PDFlibSetImageMaskFromImage;
	PDFlibFuncType64 PDFlibSetImageOptional;
	PDFlibFuncType65 PDFlibSetInformation;
	PDFlibFuncType64 PDFlibSetJPEGQuality;
	PDFlibFuncType64 PDFlibSetJavaScriptMode;
	PDFlibFuncType34 PDFlibSetKerning;
	PDFlibFuncType64 PDFlibSetLayerOptional;
	PDFlibFuncType64 PDFlibSetLineCap;
	PDFlibFuncType43 PDFlibSetLineColor;
	PDFlibFuncType46 PDFlibSetLineColorCMYK;
	PDFlibFuncType30 PDFlibSetLineColorSep;
	PDFlibFuncType40 PDFlibSetLineDash;
	PDFlibFuncType64 PDFlibSetLineJoin;
	PDFlibFuncType23 PDFlibSetLineShader;
	PDFlibFuncType38 PDFlibSetLineWidth;
	PDFlibFuncType64 PDFlibSetMeasurementUnits;
	PDFlibFuncType64 PDFlibSetNeedAppearances;
	PDFlibFuncType74 PDFlibSetOpenActionDestination;
	PDFlibFuncType84 PDFlibSetOpenActionDestinationFull;
	PDFlibFuncType23 PDFlibSetOpenActionJavaScript;
	PDFlibFuncType23 PDFlibSetOpenActionMenu;
	PDFlibFuncType74 PDFlibSetOptionalContentGroupPrintable;
	PDFlibFuncType74 PDFlibSetOptionalContentGroupVisible;
	PDFlibFuncType64 PDFlibSetOrigin;
	PDFlibFuncType70 PDFlibSetOutlineColor;
	PDFlibFuncType76 PDFlibSetOutlineDestination;
	PDFlibFuncType87 PDFlibSetOutlineDestinationFull;
	PDFlibFuncType80 PDFlibSetOutlineDestinationZoom;
	PDFlibFuncType65 PDFlibSetOutlineJavaScript;
	PDFlibFuncType65 PDFlibSetOutlineOpenFile;
	PDFlibFuncType81 PDFlibSetOutlineStyle;
	PDFlibFuncType65 PDFlibSetOutlineTitle;
	PDFlibFuncType65 PDFlibSetOutlineWebLink;
	PDFlibFuncType81 PDFlibSetPNGTransparencyColor;
	PDFlibFuncType23 PDFlibSetPageActionMenu;
	PDFlibFuncType23 PDFlibSetPageContent;
	PDFlibFuncType40 PDFlibSetPageDimensions;
	PDFlibFuncType64 PDFlibSetPageLayout;
	PDFlibFuncType64 PDFlibSetPageMode;
	PDFlibFuncType23 PDFlibSetPageSize;
	PDFlibFuncType22 PDFlibSetPageThumbnail;
	PDFlibFuncType81 PDFlibSetPageTransparencyGroup;
	PDFlibFuncType23 PDFlibSetPassword;
	PDFlibFuncType64 PDFlibSetPrecision;
	PDFlibFuncType38 PDFlibSetScale;
	PDFlibFuncType78 PDFlibSetTableBorderColor;
	PDFlibFuncType79 PDFlibSetTableBorderColorCMYK;
	PDFlibFuncType76 PDFlibSetTableBorderWidth;
	PDFlibFuncType92 PDFlibSetTableCellAlignment;
	PDFlibFuncType90 PDFlibSetTableCellBackgroundColor;
	PDFlibFuncType91 PDFlibSetTableCellBackgroundColorCMYK;
	PDFlibFuncType94 PDFlibSetTableCellBorderColor;
	PDFlibFuncType95 PDFlibSetTableCellBorderColorCMYK;
	PDFlibFuncType93 PDFlibSetTableCellBorderWidth;
	PDFlibFuncType82 PDFlibSetTableCellContent;
	PDFlibFuncType93 PDFlibSetTableCellPadding;
	PDFlibFuncType90 PDFlibSetTableCellTextColor;
	PDFlibFuncType91 PDFlibSetTableCellTextColorCMYK;
	PDFlibFuncType89 PDFlibSetTableCellTextSize;
	PDFlibFuncType83 PDFlibSetTableColumnWidth;
	PDFlibFuncType83 PDFlibSetTableRowHeight;
	PDFlibFuncType23 PDFlibSetTempFile;
	PDFlibFuncType23 PDFlibSetTempPath;
	PDFlibFuncType64 PDFlibSetTextAlign;
	PDFlibFuncType38 PDFlibSetTextCharSpacing;
	PDFlibFuncType43 PDFlibSetTextColor;
	PDFlibFuncType46 PDFlibSetTextColorCMYK;
	PDFlibFuncType30 PDFlibSetTextColorSep;
	PDFlibFuncType64 PDFlibSetTextHighlight;
	PDFlibFuncType43 PDFlibSetTextHighlightColor;
	PDFlibFuncType46 PDFlibSetTextHighlightColorCMYK;
	PDFlibFuncType30 PDFlibSetTextHighlightColorSep;
	PDFlibFuncType64 PDFlibSetTextMode;
	PDFlibFuncType38 PDFlibSetTextRise;
	PDFlibFuncType38 PDFlibSetTextScaling;
	PDFlibFuncType23 PDFlibSetTextShader;
	PDFlibFuncType38 PDFlibSetTextSize;
	PDFlibFuncType38 PDFlibSetTextSpacing;
	PDFlibFuncType64 PDFlibSetTextUnderline;
	PDFlibFuncType43 PDFlibSetTextUnderlineColor;
	PDFlibFuncType46 PDFlibSetTextUnderlineColorCMYK;
	PDFlibFuncType30 PDFlibSetTextUnderlineColorSep;
	PDFlibFuncType40 PDFlibSetTextUnderlineDash;
	PDFlibFuncType38 PDFlibSetTextWordSpacing;
	PDFlibFuncType64 PDFlibSetTransparency;
	PDFlibFuncType74 PDFlibSetViewerPreferences;
	PDFlibFuncType34 PDFlibSetXFAFormFieldAccess;
	PDFlibFuncType31 PDFlibSetXFAFormFieldBorderColor;
	PDFlibFuncType34 PDFlibSetXFAFormFieldBorderPresence;
	PDFlibFuncType30 PDFlibSetXFAFormFieldBorderWidth;
	PDFlibFuncType24 PDFlibSetXFAFormFieldValue;
	PDFlibFuncType36 PDFliSetupPrinterr;
	PDFlibFuncType26 PDFlibSignFile;
	PDFlibFuncType64 PDFlibSplitPageText;
	PDFlibFuncType40 PDFlibStartPath;
	PDFlibFuncType29 PDFlibStoreCustomDataFromFile;
	PDFlibFuncType29 PDFlibStoreCustomDataFromString;
	PDFlibFuncType22 PDFlibStringResultLength;
	PDFlibFuncType22 PDFlibTestTempPath;
	PDFlibFuncType2 PDFlibToPDFUnicode;
	PDFlibFuncType64 PDFlibUpdateAppearanceStream;
	PDFlibFuncType64 PDFlibUseKerning;
	PDFlibFuncType64 PDFlibUseUnsafeLayers;
};
